# zbot/plugs/dump.py
#
#

""" dump a set of objects in JSON format. """

## IMPORTS

from zbot.utils import time_string, time_stamp, reduced_keys
from zbot import kernel, Object

import logging

## do_find command

def do_dump(event):
    reslist = []
    args = event.args
    for obj in event.objects():
        go = False
        for opt in event.opts:
            try:
                if event.opts[opt] in str(obj[opt]): go = True 
                else: go = False
            except KeyError: go = False
            if opt not in args: args.append(opt)
        if go: reslist.append(obj)
        for arg in args[1:]:
            try: value = getattr(obj, arg)
            except: continue
            if not value: continue
            reslist.append(obj)
    for r in reslist: event.reply(r.make_json())
        
kernel.cmnds.register("dump", do_dump)
